Skip to main content
GET
/
v1
/
templates
List Templates
curl --request GET \
  --url https://api.oviond.com/v1/templates \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "account_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "type": "<string>",
      "ranking": 123,
      "datasources": [
        "<string>"
      ],
      "thumbnail": "<string>",
      "date_range": {
        "text": "Last 30 Days",
        "compare": "None",
        "include_today": false,
        "current_start": "2026-03-01",
        "current_end": "2026-03-31",
        "previous_start": "2026-02-01",
        "previous_end": "2026-02-28",
        "custom_days": 60,
        "custom_months": 3
      },
      "theme_id": "<string>",
      "logo_url": "<string>",
      "show_cover_page": true,
      "show_cover_page_logo": true,
      "show_cover_page_name": true,
      "show_cover_page_date": true,
      "show_cover_page_bg_image": true,
      "show_header": true,
      "show_header_logo": true,
      "show_header_name": true,
      "show_header_date": true,
      "show_page_numbers": true,
      "show_table_of_contents": true,
      "show_date": true,
      "show_thank_you": true,
      "created_at": null
    }
  ],
  "meta": {
    "page": 123,
    "limit": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer | null
default:0
Required range: x >= 0
Example:

0

limit
integer
default:20
Required range: 1 <= x <= 100
Example:

20

sort_by
enum<string>
default:ranking
Available options:
ranking,
created_at,
name
Example:

"ranking"

sort_order
default:desc
Available options:
asc,
desc
Example:

"desc"

datasources

Filter by datasource IDs

source
enum<string>
default:all

all = both libraries merged, standard = Oviond templates, mine = this account's saved templates

Available options:
all,
standard,
mine
type
enum<string>

Filter by project type

Available options:
REPORT,
DASHBOARD

Response

200 - application/json

Template list

success
enum<boolean>
required
Available options:
true
data
object[]
required
meta
object
required